Every time I try to update Sourcetree to 1.9.2 it gives me an error while downloading:

An error occurred while downloading the update. Please try again later.

2 answers

This widget could not be displayed.

How long have you waited since the first instance of the error?

This widget could not be displayed.

It's been the same result over the last 3 or 4 days. I was able to get updated by just downloading the dmg directly and replacing my application. I just couldn't update going through the sourcetree update.

@Patrick Franz Same problem here in trying to update from 2.0.5.2 to 2.0.5.5 using 'SourceTree > Check for Updates...' as well as using 'MacUpdate Desktop'.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published May 30, 2018 in Sourcetree

Tip from the team: configuring Git or Mercurial in Sourcetree

Supported Platforms macOS Windows To make using Sourcetree as simple yet powerful as possible we embed (bundle) dependencies such as Git, Git LFS, and Mercurial. We strive to keep these...

877 views 2 3
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you